aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/Makefile7
1 files changed, 5 insertions, 2 deletions
diff --git a/scripts/Makefile b/scripts/Makefile
index d866ac4e..9875e834 100644
--- a/scripts/Makefile
+++ b/scripts/Makefile
@@ -2,7 +2,7 @@
PYTHONFILES := $(wildcard *.py)
-check: check-pylint check-format
+check: check-pylint check-format check-mypy
format:
yapf -i $(PYTHONFILES)
@@ -11,4 +11,7 @@ check-format:
yapf -d $(PYTHONFILES)
check-pylint:
- pylint --rcfile=.pylint.rc -j 0 $(PYTHONFILES) || ./tools/check-pylint $$?
+ pylint --generated-members=cv2.* --rcfile=.pylint.rc -j 0 $(PYTHONFILES) || ./tools/check-pylint $$?
+
+check-mypy:
+ mypy $(PYTHONFILES)